AplasAplas API Reference

Get an asset

GET
/workspaces/{workspaceId}/asset-types/{typeId}/assets/{assetId}

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

workspaceId*string

The workspace's slug.

typeId*string

The asset type's slug.

assetId*string

The asset's slug. Unique within its asset type, not across the workspace — which is why assets are addressed beneath their type.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.au.aplas.com/api/v3/workspaces/string/asset-types/string/assets/string"
{
  "id": "string",
  "name": "string",
  "shortName": "string",
  "description": "string",
  "status": 0,
  "fields": {},
  "sample": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}